/*
 *
 * Artifactory is a binaries repository manager.
 * Copyright (C) 2020 JFrog Ltd.
 *
 * Artifactory is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * Artifactory is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Artifactory.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.artifactory.traffic.v2;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Logger class for traffic events
 *
 * @author Rotem Kfir
 */
public abstract class TrafficLoggerV2 {
    private static final Logger log = LoggerFactory.getLogger(TrafficLoggerV2.class);

    private TrafficLoggerV2() {
        // utility class
    }

    /**
     * Log a transfer (upload/download/replication) event
     *
     * @param entry Traffic entry to log
     */
    public static void logEntry(TrafficEntryV2 entry) {
        log.info(entry.toString());
    }

    public static void logEntryIncludingProjectAndRepo(TrafficEntryV2 entry) {
        log.info(entry.toStringIncludingProjectAndRepo());
    }
}
