package org.artifactory.async;

import lombok.Builder;
import lombok.Getter;

import javax.annotation.Nonnull;
import java.util.function.Function;
import java.util.function.Supplier;

/**
 * AsyncWorkQueueCustomExecutor is used to customize the async execution
 *
 * @author shaharz
 */

@Builder
@Getter
public class AsyncCustomExecutorInfo {

    /**
     * Custom executor to execute the work queue items
     */
    @Nonnull
    private AsyncExecutor executor;

    @Nonnull
    private Supplier<Integer> workQueueWorkers;

    /**
     * A function returns a custom work queue key
     */
    @Nonnull
    private Function<String, String> customKey;
}
