package org.artifactory.event.queue;

/**
 * @author avishayh
 */
public enum QueueStatus {
    /**
     * cursor was not yet initialized (lazy init after 1st run of queue)
     */
    NOT_AVAILABLE,
    /**
     * cursor points to new marker event
     */
    NEW_MARKER,
    /**
     * cursor points to an event which doesn't exist (removed by the cleanup job)
     */
    DATA_LOST,
    /**
     * too many errors exist (passed the QueueConfiguration.errorOverflowLimit)
     */
    ERROR_OVERFLOW,
    /**
     * finally everything is OK
     */
    OK
}
