package org.artifactory.rest.response;

import org.apache.commons.io.input.CountingInputStream;
import org.artifactory.api.request.JerseyArtifactoryResponse;
import org.testng.annotations.Test;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.StreamingOutput;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import static org.testng.Assert.assertEquals;

public class JerseyArtifactoryResponseTest {

    @Test
    public void testCallbackCalledAfterDownload() throws IOException {
        String test = "test";
        InputStream targetStream = new ByteArrayInputStream(test.getBytes());
        CountingInputStream cis = new CountingInputStream(targetStream);
        JerseyArtifactoryResponse jerseyArtifactoryResponse = new JerseyArtifactoryResponse();

        long[] a = new long[1];
        jerseyArtifactoryResponse.sendStream(cis, value -> a[0] = value);

        assertEquals(a[0], 0); // stream is not consumed

        Response built = jerseyArtifactoryResponse.build();
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        ((StreamingOutput) built.getEntity()).write(baos);

        assertEquals(a[0], test.length());  // stream is consumed
    }

}